import c from "../../../../@babel/runtime/helpers/esm/toConsumableArray.mjs";
import * as r from "react";
function m() {
  const [n, e] = r.useState([]), o = r.useCallback((a) => (e((t) => [].concat(c(t), [a])), () => {
    e((t) => t.filter((s) => s !== a));
  }), []);
  return [n, o];
}
export {
  m as default
};
